Validate a workflow definition without executing it
curl --request POST \
--url https://api.instantly.ai/api/v2/automation/authoring/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"flow": {
"nodes": [
{
"id": "value",
"type": "value",
"position": {
"x": 0,
"y": 0
},
"data": {
"app": {},
"event": {},
"input": {},
"meta": {},
"app_connection_id": "value"
}
}
],
"edges": [
{
"id": "value",
"source": "value",
"target": "value"
}
]
}
}
'import requests
url = "https://api.instantly.ai/api/v2/automation/authoring/validate"
payload = { "flow": {
"nodes": [
{
"id": "value",
"type": "value",
"position": {
"x": 0,
"y": 0
},
"data": {
"app": {},
"event": {},
"input": {},
"meta": {},
"app_connection_id": "value"
}
}
],
"edges": [
{
"id": "value",
"source": "value",
"target": "value"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
flow: {
nodes: [
{
id: 'value',
type: 'value',
position: {x: 0, y: 0},
data: {app: {}, event: {}, input: {}, meta: {}, app_connection_id: 'value'}
}
],
edges: [{id: 'value', source: 'value', target: 'value'}]
}
})
};
fetch('https://api.instantly.ai/api/v2/automation/authoring/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/automation/authoring/validate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"flow\": {\n \"nodes\": [\n {\n \"id\": \"value\",\n \"type\": \"value\",\n \"position\": {\n \"x\": 0,\n \"y\": 0\n },\n \"data\": {\n \"app\": {},\n \"event\": {},\n \"input\": {},\n \"meta\": {},\n \"app_connection_id\": \"value\"\n }\n }\n ],\n \"edges\": [\n {\n \"id\": \"value\",\n \"source\": \"value\",\n \"target\": \"value\"\n }\n ]\n }\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/automation/authoring/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'flow' => [
'nodes' => [
[
'id' => 'value',
'type' => 'value',
'position' => [
'x' => 0,
'y' => 0
],
'data' => [
'app' => [
],
'event' => [
],
'input' => [
],
'meta' => [
],
'app_connection_id' => 'value'
]
]
],
'edges' => [
[
'id' => 'value',
'source' => 'value',
'target' => 'value'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/automation/authoring/validate"
payload := strings.NewReader("{\n \"flow\": {\n \"nodes\": [\n {\n \"id\": \"value\",\n \"type\": \"value\",\n \"position\": {\n \"x\": 0,\n \"y\": 0\n },\n \"data\": {\n \"app\": {},\n \"event\": {},\n \"input\": {},\n \"meta\": {},\n \"app_connection_id\": \"value\"\n }\n }\n ],\n \"edges\": [\n {\n \"id\": \"value\",\n \"source\": \"value\",\n \"target\": \"value\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Workflow
Validate a workflow definition without executing it
Checks graph structure, integration inputs, token references and workspace connection ownership. Does not verify live credentials or resolved token values. Activation also requires saved test outputs.
Requires one of the following scopes: automation_workflows:read, automation_workflows:all, all:read, all:all
POST
/
api
/
v2
/
automation
/
authoring
/
validate
Validate a workflow definition without executing it
curl --request POST \
--url https://api.instantly.ai/api/v2/automation/authoring/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"flow": {
"nodes": [
{
"id": "value",
"type": "value",
"position": {
"x": 0,
"y": 0
},
"data": {
"app": {},
"event": {},
"input": {},
"meta": {},
"app_connection_id": "value"
}
}
],
"edges": [
{
"id": "value",
"source": "value",
"target": "value"
}
]
}
}
'import requests
url = "https://api.instantly.ai/api/v2/automation/authoring/validate"
payload = { "flow": {
"nodes": [
{
"id": "value",
"type": "value",
"position": {
"x": 0,
"y": 0
},
"data": {
"app": {},
"event": {},
"input": {},
"meta": {},
"app_connection_id": "value"
}
}
],
"edges": [
{
"id": "value",
"source": "value",
"target": "value"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
flow: {
nodes: [
{
id: 'value',
type: 'value',
position: {x: 0, y: 0},
data: {app: {}, event: {}, input: {}, meta: {}, app_connection_id: 'value'}
}
],
edges: [{id: 'value', source: 'value', target: 'value'}]
}
})
};
fetch('https://api.instantly.ai/api/v2/automation/authoring/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/automation/authoring/validate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"flow\": {\n \"nodes\": [\n {\n \"id\": \"value\",\n \"type\": \"value\",\n \"position\": {\n \"x\": 0,\n \"y\": 0\n },\n \"data\": {\n \"app\": {},\n \"event\": {},\n \"input\": {},\n \"meta\": {},\n \"app_connection_id\": \"value\"\n }\n }\n ],\n \"edges\": [\n {\n \"id\": \"value\",\n \"source\": \"value\",\n \"target\": \"value\"\n }\n ]\n }\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/automation/authoring/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'flow' => [
'nodes' => [
[
'id' => 'value',
'type' => 'value',
'position' => [
'x' => 0,
'y' => 0
],
'data' => [
'app' => [
],
'event' => [
],
'input' => [
],
'meta' => [
],
'app_connection_id' => 'value'
]
]
],
'edges' => [
[
'id' => 'value',
'source' => 'value',
'target' => 'value'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/automation/authoring/validate"
payload := strings.NewReader("{\n \"flow\": {\n \"nodes\": [\n {\n \"id\": \"value\",\n \"type\": \"value\",\n \"position\": {\n \"x\": 0,\n \"y\": 0\n },\n \"data\": {\n \"app\": {},\n \"event\": {},\n \"input\": {},\n \"meta\": {},\n \"app_connection_id\": \"value\"\n }\n }\n ],\n \"edges\": [\n {\n \"id\": \"value\",\n \"source\": \"value\",\n \"target\": \"value\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}